POST api/sticker/upsert
Request Information
URI Parameters
None.
Body Parameters
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "4ea2f4d8-ef7e-4829-a2c2-22c9180a1f02",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "35b33482-6e6a-4a1f-ae11-3b7ff892ad1b",
"contractItem_ID": "00cf3180-92e0-4618-8e45-80745ded81f1",
"departement_ID": "a6b3fae4-6f2e-4b5e-9161-86e2bebfcf63",
"departmentItem_ID": "ec9e80f1-5369-4e10-ad6b-65e930def5df",
"iD": "7062ea77-d779-49e3-a758-beb6bda5467d",
"site_ID": "81f9aaa4-d345-49a1-bfb2-8b8ba41fd14a",
"siteCustomer_ID": "9e6cac2b-423e-45a7-9acd-d0426d5d0f76",
"sticker_ID": "bae0dfae-c7dd-4214-a6a9-475b9f2222a8",
"garment_ID": "74ebf0b7-1945-43c5-a926-90bff4c6893d"
},
{
"active": true,
"contract_ID": "35b33482-6e6a-4a1f-ae11-3b7ff892ad1b",
"contractItem_ID": "00cf3180-92e0-4618-8e45-80745ded81f1",
"departement_ID": "a6b3fae4-6f2e-4b5e-9161-86e2bebfcf63",
"departmentItem_ID": "ec9e80f1-5369-4e10-ad6b-65e930def5df",
"iD": "7062ea77-d779-49e3-a758-beb6bda5467d",
"site_ID": "81f9aaa4-d345-49a1-bfb2-8b8ba41fd14a",
"siteCustomer_ID": "9e6cac2b-423e-45a7-9acd-d0426d5d0f76",
"sticker_ID": "bae0dfae-c7dd-4214-a6a9-475b9f2222a8",
"garment_ID": "74ebf0b7-1945-43c5-a926-90bff4c6893d"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "8d9cc612-696c-4047-9ee6-f6e8b56e50c4",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "a6291562-cd3e-403e-83e9-e3eaec201c60",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "63846c05-dc37-481a-a0a9-bca61388841d",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "346ed56f-eda7-425f-8903-b35a0dea39be",
"stickerField_ID": "0435f807-2a5e-4320-a388-19e2aeb38271",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "8d9cc612-696c-4047-9ee6-f6e8b56e50c4",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "a6291562-cd3e-403e-83e9-e3eaec201c60",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "63846c05-dc37-481a-a0a9-bca61388841d",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "346ed56f-eda7-425f-8903-b35a0dea39be",
"stickerField_ID": "0435f807-2a5e-4320-a388-19e2aeb38271",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "539cde7d-4a99-4f95-9f50-e23034028eb2",
"stickerType_ID": "d6383a38-a51f-4041-88f7-b5986620a678",
"stickerRelation_IDs": [
"486ab891-f931-4a9d-a16e-383f203a18a8",
"177f32d2-fad7-42d3-bd48-3ca900f5d4c8"
],
"site_ID": "1ffbb3d5-7752-4c08-9e7c-883158f785e5"
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"68776711-4c6b-4851-861d-9f16e352063d"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">68776711-4c6b-4851-861d-9f16e352063d</guid>